Subject: Re: Patch for making psutils use /etc/papersize

From: Lukas Nellen <[email-masked]>
Date: Mon, 03 Jun 1996 18:15:53 -0500

>>>>> "YA" == Yves Arrouye <[email-masked]> writes:

YA> I agree with the fact that writing wrappers is useful. But do you really
YA> think that someone that gets a package that uses psnup internally and
YA> always manipulate letter paper as a fact will know how (or want) to
YA> write a wrapper just for the purpose of getting its papersize right because
YA> psnup was compiled with an a4 default? I would, for sure, and so would

Well, I wouldn't want to write wrappers just to fix compile
options. In that case, I would rather uninstall the debian package and
compile the package from the sources and put it into
/usr/local. (That's how I have a2ps installed right now.) This way, I
can fix it for all users on my machine. Global wrappers require that I
rename psnup (which breaks the package updating mechanism) and then
put the wrapper in place. Or that I depend on a particular ordering of
the path.

YA> As I read the lists, my impression was that /etc/papersize was considered
YA> to be a live indication of the preferred paper size to use on the system.

Look, e.g., at the postins for tgif.

YA> If programs use it just when they are installed, in order to customize
YA> their configuration files, then it means that packages must be reinstalled
YA> whenever one gets from one printer to another (this is not that frequent,
YA> but it happens with a notebook to people I know).

You have a point there. Still, it might be easier to provide a
standard way to update the configuration files of all affected
packages for notebook users than to get all upstream packages to use
the same standard. In that case, the alternative is that the debian
maintainer has to merge the upstream patches and the debian patches if
debian standardizes on using libpaper. To me, that sounds like a lot
more work.

YA>   Having a way to consistently change all default paper sizes for
YA> different kind of programs, even those that do not support customization
YA> files, seemed to me a win. Maybe I'm wrong.

This is why I would consider programs which only use compile time and
command line options to be designed sub-optimally. Or at least not to
be written with binary distributions in mind.

YA> Do you suggest to change each package so that it uses per-user
YA> configuration files? And of course also a per-site configuration file
YA> so that the system administrator will not have to force a default value

I suggest that each independent package has its own, independent
configuration files. Per site configuration files might help to set up
those configuration files, though. Once there is a mechanism in place
to parse a configuration file, it is relatively easy to add per-user
configuration files - if considered useful. But, IMHO, a global
configuration file is a must for a binary distribution. Unless you
want a package for each possible combination of compile time options
:-).

YA>   Changing a2ps to use libpaper as a replacement for the usual define
YA> required changing one line and adding five more (to print an error message

But then, can you configure whether a2ps sends its output to the
printer or to stdout as a default? How about the default for twosided
printing? And do you want to fix dvips, too :-) ?  The problem is that
most packages have more to configure than just the paper size. 

			Cheers,
				Lukas
-------------------------------------------------------------------------------
   Dr. Lukas Nellen                 | Email: [email-masked]
   Depto. de Fisica Teorica, IFUNAM |
   Apdo. Postal 20-364              | Tel.:  +52 5 622 5014 ext. 218
   01000 Mexico D.F., MEXICO        | Fax:   +52 5 622 5015